> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# 列出训练检查点

> 列出为 Fastino 训练任务保存的检查点。

`GET /v1/training-jobs/{job_id}/checkpoints`

返回训练任务可见的检查点。

## 请求

<ParamField header="X-API-Key" type="string" required>
  您的 Fastino API 密钥。
</ParamField>

<ParamField path="job_id" type="string" required>
  训练任务 UUID。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.fastino.ai/v1/training-jobs/YOUR_TRAINING_JOB_ID/checkpoints \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## 响应

<ResponseField name="success" type="boolean">
  请求是否成功。
</ResponseField>

<ResponseField name="checkpoints" type="object[]">
  已保存的检查点。每一项可能包含 `id`、`job_id`、`epoch`、`step`、损失值、`accuracy`、`learning_rate`、GPU 显存值、`checkpoint_path`、`is_deployable`、`is_best`、`is_final` 以及时间戳。
</ResponseField>

<ResponseField name="count" type="integer">
  返回的检查点数量。
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "checkpoints": [
      {
        "id": "CHECKPOINT_ID",
        "job_id": "YOUR_TRAINING_JOB_ID",
        "epoch": 5,
        "step": 500,
        "training_loss": 0.12,
        "validation_loss": 0.18,
        "is_deployable": true,
        "is_best": true,
        "is_final": true,
        "created_at": "2026-09-22T20:30:00Z",
        "updated_at": "2026-09-22T20:30:00Z"
      }
    ],
    "count": 1
  }
  ```
</ResponseExample>

未知或无法访问的任务返回 `404`。
